---
id: 667
title: 'ObscuraCam: Secure Smart Camera'
date: 2011-02-19T09:12:37-04:00
author: n8fr8
layout: page
guid: https://guardianproject.info/
menu:
  main:
    parent: apps
---
[<img class="size-full wp-image-1155 alignnone" title="ssc_feature" alt="" src="https://guardianproject.info/wp-content/uploads/2011/02/ssc_feature.png" width="614" height="300" srcset="https://guardianproject.info/wp-content/uploads/2011/02/ssc_feature.png 1024w, https://guardianproject.info/wp-content/uploads/2011/02/ssc_feature-300x146.png 300w" sizes="(max-width: 614px) 100vw, 614px" />](https://guardianproject.info/wp-content/uploads/2011/02/ssc_feature.png)

Obscuracam is a photo and video app for Android that keeps certain information private.

Ever capture someone in a photo or video, then realize they may not want to be in it? Not comfortable posting a friend, family member or child&#8217;s face on the internet? Worried about the geolocation data in the picture giving away private hideaway? Tired of Facebook, Google and other sites &#8220;auto detecting&#8221; faces in your photos? Then this is for you, giving you the power to better protect the identity of those captures in your photos, before you post them online.

Take a picture or load a photo or video from the Gallery, and ObscuraCam will automatically detect faces that you can pixelate, redact (blackout) or protect with funny nose and glasses. You can also invert pixelate, so that only the person you select is visible, and no one in the background can be recognized.

This app will also remove all identifying data stored in photos including GPS location data and phone make & model. You can save the protected photo back to the Gallery, or share it directly to Facebook, Twitter or any other &#8220;Share&#8221; enabled app.

We&#8217;re currently building a version of ObscuraCam for advanced users called <a title="informacam app" href="https://guardianproject.info/apps/informacam/" target="_blank">InformaCam</a>. Users will have the option to secure images with PGP, inversely, to gather and broadcast additional details in metadata.

#### How To Get The Latest Release

<span style="font-weight: normal;">You can find the app in the <a href="https://market.android.com/details?id=org.witness.sscphase1&feature=search_result">Android Market</a> or scan the QR code below, which will take you in that direction.</span>

For those without access to the Android Market, you can get the ObscuraCam.APK file from our <a title="ObscuraCam builds" href="https://guardianproject.info/builds/Obscura/" target="_blank">public builds folder</a>.  For this option, be sure to check back for updates, because the app will not auto-update itself.

[<img class="size-full wp-image-1154 alignnone" style="margin-top: 5px; margin-bottom: 25px;" title="available-on-android-market-iphone-like-badge" alt="" src="https://guardianproject.info/wp-content/uploads/2011/06/available-on-android-market-iphone-like-badge.png" width="180" height="90" /><img class="size-full wp-image-1164 alignnone" title="obscuraqrfancy" alt="" src="https://guardianproject.info/wp-content/uploads/2011/02/obscuraqrfancy.png" width="150" height="150" />](https://market.android.com/details?id=org.witness.sscphase1&feature=search_result)

_Download ObscuraCam Today (via link or scan the qr code above!)_

#### Background

We developed our more  secure and private camera application in partnership with [Witness.org](https://www.witness.org), the leading human rights video advocacy and training organization. This collaboration grew out of an [open hackday at the 2010 Open Video Conference](https://blog.witness.org/2010/10/ovc2010-opensubtitles/).

This is an open-source project and you can track our progress here: <https://github.com/guardianproject/SecureSmartCam>.

For updates on our progress, you can check out our blog: <a title="obscuracam tag" href="https://guardianproject.info/tag/obscuracam/" target="_blank">https://guardianproject.info/tag/obscuracam/</a>

#### User Stories

Here are some of the user stories we aim to support, along with links where to track our progress and find out more:

1) An activist group records a video interview of a spokesperson at a protest and wants to protect the identify of the people in the background of the shot.

_Development of video filtering and processing is underway: <https://github.com/guardianproject/SSCVideoProto>_

2) A rights defender uses their smartphone to take many pictures of abuses in a village. On their way back to their hotel, they are detained by local authorities and their phone is confiscated.

_Learn more about our encrypted database library SQLCipher: <https://guardianproject.info/code/sqlcipher/> and our Cryptographic features planning: <https://github.com/guardianproject/SecureSmartCam/wiki/Cryptographic-features>_

3) The internet and mobile network are shutdown. Images taken at a protest of human rights abuses need to be delivered out of@gamamb the country. (tor/proxies/bluetooth/wifi mesh)

_Xfer is our video upload and download app that works over the Tor network: <https://github.com/guardianproject/sscxfer>_

4) My phone could be compromised. I have already delivered what I need to. I want to remove all traces of any images captured.

_InTheClear is our panic/data-wipe app: <https://github.com/guardianproject/InTheClear>_

&nbsp;

<div>
  <a href="https://guardianproject.info/wp-content/uploads/2011/02/home.png"><img title="home" alt="" src="https://guardianproject.info/wp-content/uploads/2011/02/home-180x300.png" width="180" height="300" /></a>  <a href="https://guardianproject.info/wp-content/uploads/2011/02/protest1.png"><img class="size-medium wp-image-1418" title="protest" alt="" src="https://guardianproject.info/wp-content/uploads/2011/02/protest1-200x300.png" width="200" height="300" srcset="https://guardianproject.info/wp-content/uploads/2011/02/protest1-200x300.png 200w, https://guardianproject.info/wp-content/uploads/2011/02/protest1.png 320w" sizes="(max-width: 200px) 100vw, 200px" /></a><a href="https://guardianproject.info/wp-content/uploads/2011/02/snowbunnyobscuraface.jpg"><img class="size-medium wp-image-1421" title="snowbunnyobscuraface" alt="" src="https://guardianproject.info/wp-content/uploads/2011/02/snowbunnyobscuraface-168x300.jpg" width="168" height="300" srcset="https://guardianproject.info/wp-content/uploads/2011/02/snowbunnyobscuraface-168x300.jpg 168w, https://guardianproject.info/wp-content/uploads/2011/02/snowbunnyobscuraface.jpg 404w" sizes="(max-width: 168px) 100vw, 168px" /></a><a href="https://guardianproject.info/wp-content/uploads/2011/02/protestobscura.jpg"><img class="wp-image-1420" title="protestobscura" alt="" src="https://guardianproject.info/wp-content/uploads/2011/02/protestobscura-300x199.jpg" width="210" height="139" srcset="https://guardianproject.info/wp-content/uploads/2011/02/protestobscura-300x199.jpg 300w, https://guardianproject.info/wp-content/uploads/2011/02/protestobscura.jpg 500w" sizes="(max-width: 210px) 100vw, 210px" /></a> <a href="https://guardianproject.info/wp-content/uploads/2011/02/teamdinner.jpg"><img class="wp-image-1424" title="teamdinner" alt="" src="https://guardianproject.info/wp-content/uploads/2011/02/teamdinner-300x225.jpg" width="210" height="158" srcset="https://guardianproject.info/wp-content/uploads/2011/02/teamdinner-300x225.jpg 300w, https://guardianproject.info/wp-content/uploads/2011/02/teamdinner.jpg 640w" sizes="(max-width: 210px) 100vw, 210px" /></a>
</div>

<div>
</div>

&nbsp;

&nbsp;